<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: cakeslice.OutlineEffect Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classcakeslice_1_1_outline_effect.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classcakeslice_1_1_outline_effect-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">cakeslice.OutlineEffect Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cakeslice.OutlineEffect:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcakeslice_1_1_outline_effect.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a32ee95e0264021d90bdcf79d247315b6"><td class="memItemLeft" align="right" valign="top"><a id="a32ee95e0264021d90bdcf79d247315b6" name="a32ee95e0264021d90bdcf79d247315b6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnPreRender</b> ()</td></tr>
<tr class="separator:a32ee95e0264021d90bdcf79d247315b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f7b505e4a277f5812d0e3b840e38d7f"><td class="memItemLeft" align="right" valign="top"><a id="a4f7b505e4a277f5812d0e3b840e38d7f" name="a4f7b505e4a277f5812d0e3b840e38d7f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UpdateMaterialsPublicProperties</b> ()</td></tr>
<tr class="separator:a4f7b505e4a277f5812d0e3b840e38d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48aa207008995ac829f8c6001ee7343"><td class="memItemLeft" align="right" valign="top"><a id="ae48aa207008995ac829f8c6001ee7343" name="ae48aa207008995ac829f8c6001ee7343"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddOutline</b> (<a class="el" href="classcakeslice_1_1_outline.html">Outline</a> outline)</td></tr>
<tr class="separator:ae48aa207008995ac829f8c6001ee7343"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a235889e31aa956670e56757544e3174a"><td class="memItemLeft" align="right" valign="top"><a id="a235889e31aa956670e56757544e3174a" name="a235889e31aa956670e56757544e3174a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>RemoveOutline</b> (<a class="el" href="classcakeslice_1_1_outline.html">Outline</a> outline)</td></tr>
<tr class="separator:a235889e31aa956670e56757544e3174a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a492dd1e3680c22f863dedcb3cf4d5dfd"><td class="memItemLeft" align="right" valign="top"><a id="a492dd1e3680c22f863dedcb3cf4d5dfd" name="a492dd1e3680c22f863dedcb3cf4d5dfd"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>lineThickness</b> = 1.25f</td></tr>
<tr class="separator:a492dd1e3680c22f863dedcb3cf4d5dfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09949958d84cbbe12768860642b7f461"><td class="memItemLeft" align="right" valign="top"><a id="a09949958d84cbbe12768860642b7f461" name="a09949958d84cbbe12768860642b7f461"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>lineIntensity</b> = .5f</td></tr>
<tr class="separator:a09949958d84cbbe12768860642b7f461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18268c6c2a489e28d2ab7ce305279278"><td class="memItemLeft" align="right" valign="top"><a id="a18268c6c2a489e28d2ab7ce305279278" name="a18268c6c2a489e28d2ab7ce305279278"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>fillAmount</b> = 0.2f</td></tr>
<tr class="separator:a18268c6c2a489e28d2ab7ce305279278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2fb11f279740d35b1ec5746d8b9665c"><td class="memItemLeft" align="right" valign="top"><a id="ac2fb11f279740d35b1ec5746d8b9665c" name="ac2fb11f279740d35b1ec5746d8b9665c"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>lineColor0</b> = Color.red</td></tr>
<tr class="separator:ac2fb11f279740d35b1ec5746d8b9665c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f6023f984fb7977818d557039ff44b5"><td class="memItemLeft" align="right" valign="top"><a id="a3f6023f984fb7977818d557039ff44b5" name="a3f6023f984fb7977818d557039ff44b5"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>lineColor1</b> = Color.green</td></tr>
<tr class="separator:a3f6023f984fb7977818d557039ff44b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45527ccd193633cce78ccfde12230fef"><td class="memItemLeft" align="right" valign="top"><a id="a45527ccd193633cce78ccfde12230fef" name="a45527ccd193633cce78ccfde12230fef"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>lineColor2</b> = Color.blue</td></tr>
<tr class="separator:a45527ccd193633cce78ccfde12230fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8dd6c5d323ae9e3c0b5ac9470b206d8"><td class="memItemLeft" align="right" valign="top"><a id="ad8dd6c5d323ae9e3c0b5ac9470b206d8" name="ad8dd6c5d323ae9e3c0b5ac9470b206d8"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>lineColor3</b> = Color.cyan</td></tr>
<tr class="separator:ad8dd6c5d323ae9e3c0b5ac9470b206d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f4a9c2c7c7fe9eac686afe79405e84"><td class="memItemLeft" align="right" valign="top"><a id="a62f4a9c2c7c7fe9eac686afe79405e84" name="a62f4a9c2c7c7fe9eac686afe79405e84"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>additiveRendering</b> = false</td></tr>
<tr class="separator:a62f4a9c2c7c7fe9eac686afe79405e84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab126b0958fe7e24c78b509162539a630"><td class="memItemLeft" align="right" valign="top"><a id="ab126b0958fe7e24c78b509162539a630" name="ab126b0958fe7e24c78b509162539a630"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>backfaceCulling</b> = true</td></tr>
<tr class="separator:ab126b0958fe7e24c78b509162539a630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a634e08fb68c45522a5645e6aaa906889"><td class="memItemLeft" align="right" valign="top"><a id="a634e08fb68c45522a5645e6aaa906889" name="a634e08fb68c45522a5645e6aaa906889"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>cornerOutlines</b> = false</td></tr>
<tr class="separator:a634e08fb68c45522a5645e6aaa906889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d2b9f80d7608468d36901b53e5523c"><td class="memItemLeft" align="right" valign="top"><a id="ac9d2b9f80d7608468d36901b53e5523c" name="ac9d2b9f80d7608468d36901b53e5523c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>addLinesBetweenColors</b> = false</td></tr>
<tr class="separator:ac9d2b9f80d7608468d36901b53e5523c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab52716b6fec88d0df4c75961ca7a86d9"><td class="memItemLeft" align="right" valign="top"><a id="ab52716b6fec88d0df4c75961ca7a86d9" name="ab52716b6fec88d0df4c75961ca7a86d9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>scaleWithScreenSize</b> = true</td></tr>
<tr class="separator:ab52716b6fec88d0df4c75961ca7a86d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65d4483796c20b2f42111c93b73a53f7"><td class="memItemLeft" align="right" valign="top"><a id="a65d4483796c20b2f42111c93b73a53f7" name="a65d4483796c20b2f42111c93b73a53f7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>alphaCutoff</b> = .5f</td></tr>
<tr class="separator:a65d4483796c20b2f42111c93b73a53f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ba44b4f4e55349195ee4e0a4829d51"><td class="memItemLeft" align="right" valign="top"><a id="a61ba44b4f4e55349195ee4e0a4829d51" name="a61ba44b4f4e55349195ee4e0a4829d51"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>flipY</b> = false</td></tr>
<tr class="separator:a61ba44b4f4e55349195ee4e0a4829d51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d472fcea6d1d26cdbd95eef0c612b0"><td class="memItemLeft" align="right" valign="top"><a id="af8d472fcea6d1d26cdbd95eef0c612b0" name="af8d472fcea6d1d26cdbd95eef0c612b0"></a>
Camera&#160;</td><td class="memItemRight" valign="bottom"><b>sourceCamera</b></td></tr>
<tr class="separator:af8d472fcea6d1d26cdbd95eef0c612b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32a21539aa82db60a4a906224a14a27"><td class="memItemLeft" align="right" valign="top"><a id="ac32a21539aa82db60a4a906224a14a27" name="ac32a21539aa82db60a4a906224a14a27"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>autoEnableOutlines</b> = true</td></tr>
<tr class="separator:ac32a21539aa82db60a4a906224a14a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae588c5a29fc44bee41162964627a9f70"><td class="memItemLeft" align="right" valign="top"><a id="ae588c5a29fc44bee41162964627a9f70" name="ae588c5a29fc44bee41162964627a9f70"></a>
Camera&#160;</td><td class="memItemRight" valign="bottom"><b>outlineCamera</b></td></tr>
<tr class="separator:ae588c5a29fc44bee41162964627a9f70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12ff95e4b65e3abfa2aead3d63488a68"><td class="memItemLeft" align="right" valign="top"><a id="a12ff95e4b65e3abfa2aead3d63488a68" name="a12ff95e4b65e3abfa2aead3d63488a68"></a>
Material&#160;</td><td class="memItemRight" valign="bottom"><b>outlineShaderMaterial</b></td></tr>
<tr class="separator:a12ff95e4b65e3abfa2aead3d63488a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a150585db10e2967a877b4a8c81558753"><td class="memItemLeft" align="right" valign="top"><a id="a150585db10e2967a877b4a8c81558753" name="a150585db10e2967a877b4a8c81558753"></a>
RenderTexture&#160;</td><td class="memItemRight" valign="bottom"><b>renderTexture</b></td></tr>
<tr class="separator:a150585db10e2967a877b4a8c81558753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ae3abb7790339b43924b9a2e0004068"><td class="memItemLeft" align="right" valign="top"><a id="a7ae3abb7790339b43924b9a2e0004068" name="a7ae3abb7790339b43924b9a2e0004068"></a>
RenderTexture&#160;</td><td class="memItemRight" valign="bottom"><b>extraRenderTexture</b></td></tr>
<tr class="separator:a7ae3abb7790339b43924b9a2e0004068"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a3b3f6b20a4d635796dc4208904f58955"><td class="memItemLeft" align="right" valign="top"><a id="a3b3f6b20a4d635796dc4208904f58955" name="a3b3f6b20a4d635796dc4208904f58955"></a>
static <a class="el" href="classcakeslice_1_1_outline_effect.html">OutlineEffect</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Instance</b><code> [get]</code></td></tr>
<tr class="separator:a3b3f6b20a4d635796dc4208904f58955"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/OutlineEffect/<a class="el" href="_outline_effect_8cs.html">OutlineEffect.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacecakeslice.html">cakeslice</a></li><li class="navelem"><a class="el" href="classcakeslice_1_1_outline_effect.html">OutlineEffect</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
